성과표 API
성과표 API는 퍼포먼스 분석 표시기에 대한 데이터를 쿼리할 수 있는 엔드포인트를 제공합니다. 쿼리 매개변수는 표시기로 분석 허브 드릴다운하기 위해 사용할 수 있는 함수와 동일합니다.
성과표 - GET /now/pa/scorecards
에서 분석 허브 표시기에 대한 상세 정보를 검색합니다.
REST API를 통한 테이블에 대한 액세스는 BasicAuth에 의해 제한됩니다. 테이블에 대해 정의된 접근 제어 목록은 데이터에 대한 접근을 제한하기 위해 적용됩니다.
API를 퍼포먼스 분석 사용하여 쿼리를 수행하려면 pa_viewer 역할도 있어야 합니다.
거의 모든 쿼리에서 이 sysparm_uuid 매개 변수를 사용합니다. 이 매개변수는 표시기 sys_id과 콜론으로 구분된 추가 선택적 sys_ids 목록으로 구성됩니다. 이 sysparm_uuid 매개변수는 항상 첫 번째 매개변수입니다.
URL 형식
버전이 지정된 URL: /api/now/{api_version}/pa/scorecards
기본 URL: /api/now/pa/scorecards
지원되는 요청 매개변수
| 이름 | 설명 |
|---|---|
| api_version | 옵션입니다. 액세스할 엔드포인트의 버전입니다. 예를 들어 v1 또는 v2입니다. 최신 버전이 아닌 엔드포인트 버전을 사용하려면 이 값만 지정합니다. 데이터 유형: 문자열 |
| 매개변수 | 설명 |
|---|---|
| sysparm_breakdown | 세부 항목에 정의된 대로 구성된 차트 정보를 반환하는 세부 항목 Sys_id입니다. 예를 들어, 각 우선순위 값에 대한 별도의 작업 차트 정보(예: 오픈 인시던트 수/우선순위/2 - 높음)를 반환하는 우선순위 세부 항목의 sys_id입니다. 데이터 유형: 문자열 |
| sysparm_breakdown_relation | 해당 관계를 사용하여 반환된 데이터를 분류하기 위한 세부 항목 관계의 Sys_id입니다. 데이터 유형: 문자열 |
| sysparm_contains | 일치하는 값이 있는 표시기에서만 결과를 반환하기 위한 이름 또는 설명의 쉼표로 구분된 목록입니다. 쉼표로 구분된 모든 목록 항목이 일치해야 합니다. 그렇지 않으면 결과가 반환되지 않습니다. 목록은 OR 논리가 아니라 AND 논리를 따릅니다. 데이터 유형: 문자열 |
| sysparm_display | 반환할 표시기의 유형을 나타내는 플래그입니다. 유효한 값은 다음과 같습니다.
데이터 유형: 문자열 기본값: true |
| sysparm_display_value | 반환되는 데이터 유형(데이터베이스의 실제 값 또는 필드의 표시 값)을 결정합니다. 표시 값은 데이터베이스의 실제 값과 사용자 또는 시스템 설정 및 기본 설정에 따라 조작됩니다. 표시 값을 반환하는 경우 반환되는 값은 필드 유형에 따라 다릅니다.
데이터 유형: 문자열 유효한 값은 다음과 같습니다.
기본값: false 주: 이 매개변수를 설정하는 기본 방법은 없습니다. 그러나 표시 값을 지정하면 데이터베이스에서 직접 읽지 않고 다른 필드와 기록을 참조하는 과정이 포함될 수 있으므로 성능 문제가 발생할 수 있습니다. 표시 값과 실제 값에 대한 자세한 내용은 테이블 API FAQ(KB0534905)를 참조하십시오. |
| sysparm_elements_filter | 반환된 데이터에 적용할 요소 필터의 Sys_id입니다. 데이터 유형: 문자열 |
| sysparm_exclude_reference_link | 참조 자원에 대한 URI와 같은 참조 필드에 제공된 추가 정보를 숨길지 여부를 나타내는 플래그입니다. 유효한 값은 다음과 같습니다.
데이터 유형: 부울 기본값: false |
| sysparm_favorites | 쿼리하는 사용자가 즐겨찾기인 표시기만 반환할지 여부를 나타내는 플래그입니다. 유효한 값은 다음과 같습니다.
데이터 유형: 부울 기본값: false |
| sysparm_from | 점수를 반환할 가장 빠른 날짜입니다. 이 날짜 이후의 점수만 반환됩니다. 이 매개변수를 사용하려면 true로 설정해야 합니다include_scores. 형식: ISO-8601 표준 날짜 유형: 문자열 |
| sysparm_include_aggregates | 이미 적용된 집계를 포함하여 표시기에 대해 가능한 모든 집계를 반환할지 여부를 나타내는 플래그입니다. 유효한 값은 다음과 같습니다.
데이터 유형: 부울 기본값: false |
| sysparm_include_available_aggregates | 집계가 적용되지 않은 경우 표시기에 대해 사용 가능한 모든 집계를 반환할지 여부를 나타내는 플래그입니다. 유효한 값은 다음과 같습니다.
데이터 유형: 부울 기본값: false |
| sysparm_include_available_breakdowns | 표시기에 사용 가능한 모든 세부 항목을 반환할지 여부를 나타내는 플래그입니다. 유효한 값은 다음과 같습니다.
데이터 유형: 부울 기본값: false |
| sysparm_include_forecast_scores | 에 대한 분석 허브 예측 데이터를 정의하는 날짜-값 쌍의 배열을 포함하는 forecast_scores 요소를 반환할지 여부를 나타내는 플래그입니다. 이 매개 변수를 사용하려면 매개 변수도 true로 설정해야 합니다include_scores. 유효한 값은 다음과 같습니다.
데이터 유형: 부울 기본값: false |
| sysparm_include_realtime | 표시기에 실시간 점수가 활성화되어 있는지 여부를 나타내는 realtime_enabled 요소와 실시간 점수 값을 포함하는 realtime_value 요소를 반환할지 여부를 나타내는 플래그입니다. 이 매개변수는 수식 표시기에서 지원되지 않습니다. 유효한 값은 다음과 같습니다.
데이터 유형: 부울 기본값: false |
| sysparm_include_score_notes | 점수와 연결된 모든 메모를 반환할지 여부를 나타내는 플래그입니다. note 요소에는 메모 텍스트와 메모가 추가되었을 때의 작성자 및 타임스탬프가 포함됩니다. 유효한 값은 다음과 같습니다.
데이터 유형: 부울 기본값: false |
| sysparm_include_scores | 에서 분석 허브 선택한 전체 시간 범위에 대한 표시기 점수를 반환할지 여부를 나타내는 플래그입니다. 값을 지정하지 않으면 이 매개변수는 기본적으로 false로 설정되고 가장 최근의 점수 값만 반환됩니다. 반환되는 점수의 날짜 범위를 제한하려면 이 매개 변수를 from and to와 결합합니다. 유효한 값은 다음과 같습니다.
데이터 유형: 부울 기본값: false |
| sysparm_include_target_color_scheme | 에 대한 분석 허브 대상 색 구성표의 각 섹션 색과 최소값 및 최대값을 포함하는 target_color_scheme 요소를 반환할지 여부를 나타내는 플래그입니다. 유효한 값은 다음과 같습니다.
데이터 유형: 부울 기본값: false |
| sysparm_include_trendline_scores | 추세선을 정의하는 날짜-값 쌍의 배열을 포함하는 trendline_scores 요소를 반환할지 여부를 나타내는 플래그입니다 분석 허브 . 이 매개 변수를 사용하려면 매개 변수도 true로 설정해야 합니다include_scores. 유효한 값은 다음과 같습니다.
데이터 유형: 부울 기본값: false |
| sysparm_key | 주요 표시기에 대한 결과만 반환할지 여부를 나타내는 플래그입니다. 유효한 값은 다음과 같습니다.
데이터 유형: 부울 기본값: false |
| sysparm_limit | 반환할 최대 점수 수입니다. 데이터 유형: 숫자 |
| sysparm_page | 페이지 번호입니다. 예를 들어, 기본 sysparm_per_page 값(10)으로 20개의 표시기를 쿼리할 때 sysparm_page 값을 2로 지정하여 표시기 11-20을 검색합니다. 데이터 유형: 숫자 |
| sysparm_per_page | 각 쿼리가 페이지에서 반환할 수 있는 최대 표시기 수입니다. 기본값: 10 최대: 100 데이터 유형: 숫자 |
| sysparm_sortby | 결과를 정렬할 때 사용할 값입니다. 유효한 값은 다음과 같습니다.
데이터 유형: 문자열 기본값: 값 |
| sysparm_sortdir | 정렬 방향. 유효한 값은 다음과 같습니다.
데이터 유형: 문자열 기본값: 내림차순 |
| sysparm_step | 표시기 빈도에 따라 점수를 건너뛸 숫자 값입니다. 예를 들어, 일별 표시기의 경우 3일마다, 주별 표시기의 경우 3주마다 점수만 반환하려면 값 3을 지정합니다. 데이터 유형: 숫자 |
| sysparm_tags | 해당 그룹의 표시기를 반환할 표시기 그룹 sys_id. 이 매개 변수와 함께 사용하지 sysparm_uuid 마십시오. 이 API를 통해 표시기 그룹의 sys_id 가져올 수 없습니다. 대신 표시기 그룹 기록에서 sys_id 가져옵니다. 기록에서 sys_ids 얻는 방법에 대한 자세한 내용은 고유 기록 식별자(sys_id)를 참조하십시오. 데이터 유형: 문자열 |
| sysparm_target | 에 대상이 설정된 분석 허브 표시기에 대한 결과만 반환할지 여부를 나타내는 플래그입니다. 유효한 값은 다음과 같습니다.
데이터 유형: 부울 기본값: false |
| sysparm_to | 점수를 반환할 가장 늦은 날짜입니다. 이 날짜 또는 그 이전의 점수만 반환됩니다. 이 매개변수를 사용하려면 true로 설정해야 합니다include_scores. 데이터 유형: 문자열 형식: ISO-8601 표준 |
| sysparm_uuid | 쿼리할 표시기, 세부 항목, 집계 및 도메인을 지정하는 콜론으로 구분된 sys_id 값 목록입니다. 매개변수는 다음 형식을 따릅니다. <indicator_sys_id>:<breakdown_sys_id>:<elements_filter_sys_id 또는 element_sys_ids>:<lvl-2 breakdown_sys_id>:<lvl-2 elements_filter_sys_id 또는 element_sys_ids>:<aggregate_sys_id>;<domain_sys_id> 매개변수는 표시기 기록의 sys_id으로 시작해야 합니다. 필요한 경우 세부 항목 및 세부 항목 요소의 sys_id 값을 추가하여 세부 항목을 기반으로 응답을 그룹화하고 집계 sys_id 해당 집계를 적용할 수 있습니다. 집계와 함께 세부 항목을 사용하거나 하나만 사용할 수 있습니다. 주:
표시기가 기본 시계열을 사용하도록 구성된 경우 이 API가 해당 표시기에 대해 검색하는 모든 값은 선택한 집계를 사용합니다. 데이터 유형: 문자열 |
| 이름 | 설명 |
|---|---|
| 안 함 |
머리글
다음 요청 및 응답 헤더는 이 HTTP 작업에만 적용되거나 이 작업에 고유한 방식으로 적용됩니다. REST API에 사용되는 일반 헤더 목록은 지원되는 REST API 헤더를 참조하세요.
| 헤더 | 설명 |
|---|---|
| 수용 | 응답 본문의 데이터 형식입니다. 지원되는 유형은 application/json 또는 application/xml입니다. 기본값: application/json |
| 헤더 | 설명 |
|---|---|
| 없음 |
상태 코드
다음 상태 코드는 이 HTTP 작업에 적용됩니다. REST API에서 사용되는 가능한 상태 코드 목록은 REST API HTTP 응답 코드를 참조하세요.
| 상태 코드 | 설명 |
|---|---|
| 200 | 성공입니다. 요청이 성공적으로 처리되었습니다. |
| 401 | 승인되지 않았습니다. 사용자 자격 증명이 잘못되었거나 전달되지 않았습니다. |
| 500 | 내부 서버 오류입니다. 요청을 처리하는 동안 예기치 않은 오류가 발생했습니다. 응답에는 오류에 대한 추가 정보가 포함되어 있습니다. |
응답 본문 매개변수(JSON 또는 XML)
| 이름 | 설명 |
|---|---|
| 요청 매개변수에 따라 다릅니다. |
분석 허브에서 모든 표시기 검색
# Request a list of all indicators that
# are displayed in the 분석 허브,
# including their unique record identifiers.
curl --verbose --user "user:password" \
–-header "Accept:application/json" \
"https://instance.service-now.com/api/now/v1/pa/scorecards"
// The following response is truncated
// to show only the Number of open incidents
// indicator, which is used in the other
// examples on this page.
{
"result" : [
...
{
"change_formatted" : "",
"key" : false,
"value_unit" : "",
"value_formatted" : "",
"period_title" : null,
"gapperc" : null,
"gap" : null,
"target" : null,
"period" : null,
"target_formatted" : "",
"favorite" : false,
"direction_label" : "Minimize",
"uuid" : "fb007202d7130100b96d45a3ce6103b4",
"name" : "Number of open incidents",
"value_color" : "#000000",
"frequency_label" : "Daily",
"change" : null,
"gap_formatted" : "",
"gapperc_formatted" : "",
"value" : null,
"unit" : {
"display_value" : "#",
"link" : "https://instance.service-now.com/api/now/v1/table/pa_units/17b365e2d7320100ba986f14ce6103ad",
"value" : "17b365e2d7320100ba986f14ce6103ad"
},
"changeperc_formatted" : "",
"direction" : 2,
"frequency" : 10,
"precision" : 0,
"changeperc" : null,
"indicator" : {
"display_value" : "Number of open incidents",
"link" : "https://instance.service-now.com/api/now/v1/table/pa_indicators/fb007202d7130100b96d45a3ce6103b4",
"value" : "fb007202d7130100b96d45a3ce6103b4"
},
"description" : "Number of incidents open based on resolved date is empty."
},
...
]
}
반환 표시기 상세 정보
표시기 sys_id 값을 매개변수에 제공하여 sysparm_uuid 특정 표시기를 쿼리 분석 허브 할 수 있습니다.
# In this example, you use the sys ID for the
# Number of open incidents indicator,
# which you retrieved in the first example,
# when you got all the indicators in the
# 분석 허브:
# "uuid" : "fb007202d7130100b96d45a3ce6103b4",
# "name" : "Number of open incidents"
curl --verbose --user "user:password" \
--header "Accept:application/json" \
"https://instance.service-now.com/api/now/v1/pa/scorecards?sysparm_uuid=fb007202d7130100b96d45a3ce6103b4"
{
"result" : [
{
"change_formatted" : "",
"key" : false,
"value_unit" : "",
"value_formatted" : "",
"period_title" : null,
"gapperc" : null,
"gap" : null,
"target" : null,
"period" : null,
"target_formatted" : "",
"favorite" : false,
"direction_label" : "Minimize",
"uuid" : "fb007202d7130100b96d45a3ce6103b4",
"name" : "Number of open incidents",
"value_color" : "#000000",
"frequency_label" : "Daily",
"change" : null,
"gap_formatted" : "",
"gapperc_formatted" : "",
"value" : null,
"unit" : {
"display_value" : "#",
"link" : "https://instance.service-now.com/api/now/v1/table/pa_units/17b365e2d7320100ba986f14ce6103ad",
"value" : "17b365e2d7320100ba986f14ce6103ad"
},
"changeperc_formatted" : "",
"direction" : 2,
"frequency" : 10,
"precision" : 0,
"changeperc" : null,
"indicator" : {
"display_value" : "Number of open incidents",
"link" : "https://instance.service-now.com/api/now/v1/table/pa_indicators/fb007202d7130100b96d45a3ce6103b4",
"value" : "fb007202d7130100b96d45a3ce6103b4"
},
"description" : "Number of incidents open based on resolved date is empty."
}
]
}
표시기에 대한 모든 세부 항목 및 집계 반환
and sysparm_include_available_aggregates 매개변수를 true로 설정하여 표시기에 사용 가능한 세부 항목 및 집계 목록을 쿼리합니다sysparm_include_available_breakdowns.
curl -v -u "user:password" -H "Accept:application/json" \
"https://instance.service-now.com/api/now/v1/pa/scorecards?sysparm_uuid=fb007202d7130100b96d45a3ce6103b4&sysparm_include_available_breakdowns=true&sysparm_include_available_aggregates=true"
{
"result" : [
{
"key" : false,
"change_formatted" : "",
"aggregates" : [
{
"display_value" : "7d running SUM",
"link" : "https://instance.service-now.com/api/now/v1/table/pa_aggregates/89ea4c11d7001100ba986f14ce6103dc",
"value" : "89ea4c11d7001100ba986f14ce6103dc"
},
{
"display_value" : "28d running SUM",
"link" : "https://instance.service-now.com/api/now/v1/table/pa_aggregates/4dfa4c11d7001100ba986f14ce6103e2",
"value" : "4dfa4c11d7001100ba986f14ce6103e2"
},
{
"display_value" : "30d running SUM",
"link" : "https://instance.service-now.com/api/now/v1/table/pa_aggregates/3e409011d7001100ba986f14ce610319",
"value" : "3e409011d7001100ba986f14ce610319"
},
// Aggregates truncated for brevity
],
"changeperc" : null,
"value_formatted" : "",
"period_title" : null,
"gapperc" : null,
"value_unit" : "",
"target" : null,
"period" : null,
"target_formatted" : "",
"favorite" : false,
"gap" : null,
"direction_label" : "Minimize",
"uuid" : "fb007202d7130100b96d45a3ce6103b4",
"name" : "Number of open incidents",
"value_color" : "#000000",
"frequency_label" : "Daily",
"change" : null,
"gap_formatted" : "",
"gapperc_formatted" : "",
"value" : null,
"unit" : {
"display_value" : "#",
"link" : "https://instance.service-now.com/api/now/v1/table/pa_units/17b365e2d7320100ba986f14ce6103ad",
"value" : "17b365e2d7320100ba986f14ce6103ad"
},
"breakdowns" : [
{
"display_value" : "Priority",
"link" : "https://instance.service-now.com/api/now/v1/table/pa_breakdowns/0df47e02d7130100b96d45a3ce610399",
"value" : "0df47e02d7130100b96d45a3ce610399"
},
{
"display_value" : "Category",
"link" : "https://instance.service-now.com/api/now/v1/table/pa_breakdowns/1f918835d7231100b96d45a3ce6103fe",
"value" : "1f918835d7231100b96d45a3ce6103fe"
},
{
"display_value" : "Assignment Group",
"link" : "https://instance.service-now.com/api/now/v1/table/pa_breakdowns/baec0752bf130100b96dac808c0739ed",
"value" : "baec0752bf130100b96dac808c0739ed"
},
// Information for State and Age indicators truncated
],
"changeperc_formatted" : "",
"frequency" : 10,
"precision" : 0,
"direction" : 2,
"indicator" : {
"display_value" : "Number of open incidents",
"link" : "https://instance.service-now.com/api/now/v1/table/pa_indicators/fb007202d7130100b96d45a3ce6103b4",
"value" : "fb007202d7130100b96d45a3ce6103b4"
},
"description" : "Number of incidents open based on resolved date is empty."
}
]
}
표시기 점수의 시계열 집계 반환
# Apply the 7d running SUM aggregate returned in
# the previous response to the
# 분석 허브 using the
# sysparm_uuid value
# with the sys_id of the aggregate.
curl -v -u "user:password" -H "Accept:application/json" \
"https://instance.service-now.com/api/now/v1/pa/scorecards?sysparm_uuid=fb007202d7130100b96d45a3ce6103b4:89ea4c11d7001100ba986f14ce6103dc"
{
"result" : [
{
"key" : false,
"change_formatted" : "",
"value_unit" : "",
"value_formatted" : "",
"period_title" : null,
"aggregate" : {
"display_value" : "7d running SUM",
"link" : "https://instance.service-now.com/api/now/v1/table/pa_aggregates/89ea4c11d7001100ba986f14ce6103dc",
"value" : "89ea4c11d7001100ba986f14ce6103dc"
},
"gapperc" : null,
"target" : null,
"period" : null,
"target_formatted" : "",
"favorite" : false,
"gap" : null,
"direction_label" : "Minimize",
"uuid" : "fb007202d7130100b96d45a3ce6103b4:89ea4c11d7001100ba986f14ce6103dc",
"name" : "Number of open incidents / 7d running SUM",
"value_color" : "#000000",
"frequency_label" : "Daily",
"change" : null,
"gap_formatted" : "",
"gapperc_formatted" : "",
"value" : null,
"unit" : {
"display_value" : "#",
"link" : "https://instance.service-now.com/api/now/v1/table/pa_units/17b365e2d7320100ba986f14ce6103ad",
"value" : "17b365e2d7320100ba986f14ce6103ad"
},
"changeperc_formatted" : "",
"direction" : 2,
"frequency" : 10,
"precision" : 0,
"changeperc" : null,
"indicator" : {
"display_value" : "Number of open incidents",
"link" : "https://instance.service-now.com/api/now/v1/table/pa_indicators/fb007202d7130100b96d45a3ce6103b4",
"value" : "fb007202d7130100b96d45a3ce6103b4"
},
"description" : "Number of incidents open based on resolved date is empty."
}
]
}
세부 항목에 대한 요소 반환
# To get the scores associated with
# each element of a breakdown and
# the sys_ids of those elements, pass
# the sysparm_breakdown
# parameter with the sys_id of the breakdown.
# In this example, you get the elements of
# the Assignment Group breakdown for the
# Number of open incidents indicator.
# From the previous example, you have the
# sys_id of fb007202d7130100b96d45a3ce6103b4
# for the Number of open incidents indicator and the
# sys_id of baec0752bf130100b96dac808c0739ed
# for the Assignment Group breakdown.
curl -v -u "user:password" -H "Accept:application/json" \
"https://instance.service-now.com/api/now/v1/pa/scorecards?sysparm_uuid=fb007202d7130100b96d45a3ce6103b4&sysparm_breakdown=baec0752bf130100b96dac808c0739ed"
// The response consists of a set of
// indicator objects, each
// containing one element object.
// The element objects each
// contain the name and sys_id of an object.
// Because the information about the indicator
// is the same for each indicator
// object, in this example only the first
// indicator object is given
// in detail.
{
"result":[
{
"indicator": {
"display_value":"Number of open incidents",
"link":"https://<instance>.service-now.com/api/now/v1/table/pa_indicators/fb007202d7130100b96d45a3ce6103b4",
"value":"fb007202d7130100b96d45a3ce6103b4"
},
"gap_formatted":"",
"benchmarking":false,
"frequency_label":"Daily",
"changeperc_formatted":"0.0%",
"direction_label":"Minimize",
"precision":0,
"breakdown": {
"display_value":"Assignment Group",
"link":"https://<instance>.service-now.com/api/now/v1/table/pa_breakdowns/baec0752bf130100b96dac808c0739ed",
"value":"baec0752bf130100b96dac808c0739ed"
},
"personal_target":null,
"description":"Number of incidents open based on resolved date is empty.",
"value_color":"#455464",
"uuid":"fb007202d7130100b96d45a3ce6103b4:baec0752bf130100b96dac808c0739ed:unmatched",
"frequency":10,
"gap":null,
"value_unit":"14",
"indicator_frequency":10,
"value":14.0,
"indicator_aggregate":1,
"facts_table": {
"name":"incident",
"label":"Incidents"
},
"key":false,
"indicator_frequency_label":"Daily",
"direction":2,
"element": {
"display_value":"Unassigned", //Element name
"link":"https://<instance>.service-now.com/api/now/v1/table/sys_user_group/unmatched",
"value":"unmatched" //No sys_id for unmatched scores
},
"period_title":"Jul 22",
"period":"Jul 22",
"target_formatted":"",
"change":0.0,
"gapperc_formatted":"",
"query":"opened_atONToday@javascript:gs.beginningOfToday()@javascript:gs.endOfToday()^ORopened_at<javascript:gs.beginningOfToday()^resolved_atISEMPTY^ORresolved_at>javascript:gs.endOfToday()^state!=8",
"realtime_enabled":true,
"changeperc":0.0,
"target":null,
"unit": {
"display_value":"#",
"link":"https://<instance>.service-now.com/api/now/v1/table/pa_units/17b365e2d7320100ba986f14ce6103ad",
"type":"formatted",
"value":"17b365e2d7320100ba986f14ce6103ad"
},
"value_formatted":"14", // Score where Assignment Group=Unassigned
"name":"Number of open incidents > Assignment Group = Unassigned",
"gapperc":null,
"change_formatted":"0",
"favorite":false,
"personal_target_formatted":""
},
{"indicator": {
"element": {
"display_value":"Software",
"link":"https://<instance>.service-now.com/api/now/v1/table/sys_user_group/8a4dde73c6112278017a6a4baf547aa7",
"value":"8a4dde73c6112278017a6a4baf547aa7" // sys_id of element Software
},
...
"value_formatted":"6", // Score where Assignment Group: Software
"name":"Number of open incidents > Assignment Group = Software",
"gapperc":null,
"change_formatted":"0",
"favorite":false,
"personal_target_formatted":""
},
{"indicator": {
...
"element": {
"display_value":"Service Desk",
"link":"https://<instance>.service-now.com/api/now/v1/table/sys_user_group/d625dccec0a8016700a222a0f7900d06",
"value":"d625dccec0a8016700a222a0f7900d06" // sys_id of element Service Desk
},
...
"value_formatted":"5", // Score for Assignment Group: Service Desk
"name":"Number of open incidents > Assignment Group = Service Desk",
"gapperc":null,
"change_formatted":"0",
"favorite":false,
"personal_target_formatted":""
},
{"indicator": {
...
"element": {
"display_value":"Hardware",
"link":"https://<instance>.service-now.com/api/now/v1/table/sys_user_group/8a5055c9c61122780043563ef53438e3",
"value":"8a5055c9c61122780043563ef53438e3" // sys_id for element Hardware
},
...
"value_formatted":"3", // Score for Assignment Group: Hardware
"name":"Number of open incidents > Assignment Group = Hardware",
"gapperc":null,
"change_formatted":"0",
"favorite":false,
"personal_target_formatted":""
},
{"indicator": {
...
"element": {
"display_value":"Network",
"link":"https://<instance>.service-now.com/api/now/v1/table/sys_user_group/287ebd7da9fe198100f92cc8d1d2154e",
"value":"287ebd7da9fe198100f92cc8d1d2154e"}, // sys_id for element Network
...
"value_formatted":"3", // Score for Assignment Group: Network
"name":"Number of open incidents > Assignment Group = Network",
"gapperc":null,
"change_formatted":"0",
"favorite":false,
"personal_target_formatted":""
},
...
]
...
}
세부 항목 및 요소로 필터링된 표시기 반환
# The GET request gets the details for
# the indicator Number of open
# incidents, where the Priority of the
# incident is 1 - Critical. The sys_id
# values for the indicator, the
# Priority breakdown, and the 1 -
# Critical element are all passed in
# the sysparm_uuid parameter.
curl --verbose --user "username":"password" \
--header "Accept:application/json" \
"https://instance.service-now.com/api/now/v1/pa/scorecards?sysparm_uuid=fb007202d7130100b96d45a3ce6103b4:0df47e02d7130100b96d45a3ce610399:e5900140200331007665978299a805f3"
{
// The request is made Dec 12. The
// score is 76, which is unchanged from
// Dec 11, and which exceeds the
// target of 70.
"result": [
{
"indicator": {
"display_value":"Number of open incidents",
"link":"https://instance.service-now.com/api/now/v1/table/pa_indicators/fb007202d7130100b96d45a3ce6103b4",
"value":"fb007202d7130100b96d45a3ce6103b4"
},
"gap_formatted":"-6",
"benchmarking":false,
"frequency_label":"Daily",
"changeperc_formatted":"0.0%",
"direction_label":"Minimize",
"precision":0,
"breakdown": {
"display_value":"Priority",
"link":"https://instance.service-now.com/api/now/v1/table/pa_breakdowns/0df47e02d7130100b96d45a3ce610399",
"value":"0df47e02d7130100b96d45a3ce610399"
},
"personal_target":null,
"description":"Number of incidents open based on resolved date is empty.",
"value_color":"#ff8c00",
"uuid":"fb007202d7130100b96d45a3ce6103b4:0df47e02d7130100b96d45a3ce610399:5f012106db5123003ee8f93baf9619bd",
"frequency":10,
"gap":-6.0,
"value_unit":"76",
"indicator_frequency":10,
"value":76.0,
"indicator_aggregate":1,
"facts_table": {
"name":"incident",
"label":"Incidents"
},
"key":false,
"indicator_frequency_label":"Daily",
"direction":2,
"element": {
"display_value":"1 - Critical",
"link":"https://instance.service-now.com/api/now/v1/table/sys_choice/5f012106db5123003ee8f93baf9619bd",
"value":"5f012106db5123003ee8f93baf9619bd"
},
"period_title":"Dec 12",
"period":"Dec 12",
"target_formatted":"70",
"change":0.0,
"gapperc_formatted":"-8.6%",
"query":"opened_atONToday@javascript:gs.beginningOfToday()@javascript:gs.endOfToday()^ORopened_at<javascript:gs.beginningOfToday()^resolved_atISEMPTY^ORresolved_at>javascript:gs.endOfToday()^state!=8^priority=1^EQ",
"realtime_enabled":true,
"changeperc":0.0,
"target":70.0,
"unit": {
"display_value":"#",
"link":"https://instance.service-now.com/api/now/v1/table/pa_units/17b365e2d7320100ba986f14ce6103ad",
"type":"formatted","value":"17b365e2d7320100ba986f14ce6103ad"
},
"value_formatted":"76",
"name":"Number of open incidents > Priority = 1 - Critical",
"gapperc":-0.08571428571428572,
"change_formatted":"0",
"favorite":true,
"personal_target_formatted":""
}
]
}
위치별로 세분화된 표시기 반환
curl -v -u "user:password" -H "Accept:application/json" \
"https://<instance>.service-now.com/api/now/v1/pa/scorecards?sysparm_uuid=fb007202d7130100b96d45a3ce6103b4&sysparm_breakdown=656d5662eb23310065deac6aa206fee7"
{
"result": [
{
...
"element": {
"display_value": "San Diego",
"link": "https://<instance>.service-now.com/api/now/v1/table/cmn_location/108752c8c611227501d4ab0e392ba97f",
"value": "108752c8c611227501d4ab0e392ba97f",
"longitude": -117.15726,
"latitude": 32.71533
},
...
}
{
...
"element": {
"display_value": "Florida",
"link": "https://<instance>.service-now.com/api/now/v1/table/cmn_location/8e3e85f037d0200044e0bfc8bcbe5d14",
"value": "8e3e85f037d0200044e0bfc8bcbe5d14",
"longitude": -95.71289,
"latitude": 37.09024
},
...
}
]
}
첫 번째 및 두 번째 수준 세부 항목 점수 반환
여러 세부 항목을 적용하려면 sysparm_uuid 매개 변수에 여러 세부 항목 sys_ids 추가합니다.
# In this example, the data is broken
# down by priority to show priority 1
# incidents, and by category to show
# database incidents.
curl -v -u "user:password" -H "Accept:application/json" \
"https://instance.service-now.com/api/now/v1/pa/scorecards?sysparm_uuid=fb007202d7130100b96d45a3ce6103b4:0df47e02d7130100b96d45a3ce610399:e5900140200331007665978299a805f3:1f918835d7231100b96d45a3ce6103fe:9e418d40200331007665978299a805c1"
{
"result": [
{
"value_formatted": "",
"indicator": {
"display_value": "Number of open incidents",
"link": "http://instance.service-now.com/api/now/v1/table/pa_indicators/fb007202d7130100b96d45a3ce6103b4",
"value": "fb007202d7130100b96d45a3ce6103b4"
},
"gapperc": null,
"change": null,
"value_color": "#000000",
"direction": 2,
"target_formatted": "",
"frequency": 10,
"changeperc_formatted": "",
"direction_label": "Minimize",
"period_title": null,
"description": "Number of incidents open based on resolved date is empty.",
"name": "Number of open incidents / Priority / 1 - Critical / Category / Database",
"value": null,
"key": false,
"gap_formatted": "",
"element": {
"display_value": "1 - Critical",
"link": "http://instance.service-now.com/api/now/v1/table/sys_choice/e5900140200331007665978299a805f3",
"value": "e5900140200331007665978299a805f3"
},
"precision": 0,
"element_level2": {
"display_value": "Database",
"link": "http://instance.service-now.com/api/now/v1/table/sys_choice/9e418d40200331007665978299a805c1",
"value": "9e418d40200331007665978299a805c1"
},
"breakdown": {
"display_value": "Priority",
"link": "http://instance.service-now.com/api/now/v1/table/pa_breakdowns/0df47e02d7130100b96d45a3ce610399",
"value": "0df47e02d7130100b96d45a3ce610399"
},
"period": null,
"favorite": false,
"change_formatted": "",
"unit": {
"display_value": "#",
"link": "http://instance.service-now.com/api/now/v1/table/pa_units/17b365e2d7320100ba986f14ce6103ad",
"value": "17b365e2d7320100ba986f14ce6103ad"
},
"frequency_label": "Daily",
"breakdown_level2": {
"display_value": "Category",
"link": "http://instance.service-now.com/api/now/v1/table/pa_breakdowns/1f918835d7231100b96d45a3ce6103fe",
"value": "1f918835d7231100b96d45a3ce6103fe"
},
"target": null,
"changeperc": null,
"uuid": "fb007202d7130100b96d45a3ce6103b4:0df47e02d7130100b96d45a3ce610399:e5900140200331007665978299a805f3:1f918835d7231100b96d45a3ce6103fe:9e418d40200331007665978299a805c1",
"gapperc_formatted": "",
"value_unit": "",
"gap": null
}
]
}
두 가지 수준의 세부 항목에 대해 날짜 범위에서 점수 반환
사용 가능한 모든 날짜에 대한 개별 점수 목록을 요청하려면 sysparm_include_scores 매개변수를 true로 설정합니다.
점수의 날짜 범위를 지정하려면 and sysparm_to 매개 변 sysparm_from 수도 사용합니다.
# In this example, the level 1 breakdown and
# element are Assignment Group: Software
# (sys_id baec0752bf130100b96dac808c0739ed
# and 8a4dde73c6112278017a6a4baf547aa7).
# The level 2 breakdown and element are Priority: 1 -
# Critical (sys_id 0df47e02d7130100b96d45a3ce610399
# and e5900140200331007665978299a805f3).
# Only scores on and after 30 November 2018 are returned.
curl -v -u "resttest:resttest" -H "Accept:application/json" \
"https://<instance>.service-now.com/api/now/v1/pa/scorecards?sysparm_uuid=fb007202d7130100b96d45a3ce6103b4:baec0752bf130100b96dac808c0739ed:8a4dde73c6112278017a6a4baf547aa7:0df47e02d7130100b96d45a3ce610399:e5900140200331007665978299a805f3&sysparm_include_scores=true&sysparm_from=2018-11-30"
{
"result": [
{ "indicator": {
"display_value":"Number of open incidents",
"link":"https://<instance>.service-now.com/api/now/v1/table/pa_indicators/fb007202d7130100b96d45a3ce6103b4",
"value":"fb007202d7130100b96d45a3ce6103b4"
},
"gap_formatted":"",
"benchmarking":false,
"frequency_label":"Daily",
"scores": [
{ "end_at":"2018-12-04",
"period":"Dec 04",
"value_formatted":"2",
"start_at":"2018-12-04",
"value":2.0
},
...
{ "end_at":"2018-11-30",
"period":"Nov 30",
"value_formatted":"0",
"start_at":"2018-11-30",
"value":0.0
}
],
"changeperc_formatted":"",
"direction_label":"Minimize",
"precision":0,
"breakdown": { //First-level breakdown
"display_value":"Assignment Group",
"link":"https://<instance>.service-now.com/api/now/v1/table/pa_breakdowns/baec0752bf130100b96dac808c0739ed",
"value":"baec0752bf130100b96dac808c0739ed"
},
"personal_target":null,
"description":"Number of incidents open based on resolved date is empty.",
"value_color":"#455464",
"uuid":"fb007202d7130100b96d45a3ce6103b4:baec0752bf130100b96dac808c0739ed:8a4dde73c6112278017a6a4baf547aa7:0df47e02d7130100b96d45a3ce610399:e5900140200331007665978299a805f3",
"frequency":10,
"gap":null,
"value_unit":"2",
"indicator_frequency":10,
"value":2.0,
"indicator_aggregate":1,
"key":false,
"indicator_frequency_label":"Daily",
"direction":2,
"element": { //First-level breakdown element
"display_value":"Software",
"link":"https://<instance>.service-now.com/api/now/v1/table/sys_user_group/8a4dde73c6112278017a6a4baf547aa7",
"value":"8a4dde73c6112278017a6a4baf547aa7"
},
"period_title":"Dec 04",
"period":"Dec 04",
"target_formatted":"",
"change":2.0,
"gapperc_formatted":"",
"realtime_enabled":false,
"changeperc":null,
"target":null,
"unit":{
"display_value":"#",
"link":"https://<instance>.service-now.com/api/now/v1/table/pa_units/17b365e2d7320100ba986f14ce6103ad",
"type":"formatted",
"value":"17b365e2d7320100ba986f14ce6103ad"
},
"value_formatted":"2", //Second-level breakdown and element
"name":"Number of open incidents > Assignment Group = Software > Priority = e5900140200331007665978299a805f3",
"gapperc":null,
"change_formatted":"2",
"favorite":false,
"breakdown_level2": {
"display_value":"Priority",
"link":"https://<instance>.service-now.com/api/now/v1/table/pa_breakdowns/0df47e02d7130100b96d45a3ce610399",
"value":"0df47e02d7130100b96d45a3ce610399"
},
"personal_target_formatted":""
}
]
}
세분화 및 요소에 대한 세분화 관계 반환
표시기와 연관된 모든 세분화 관계에 대한 sys_id 값을 구하려면 매개변수를 사용하십시오 sysparm_include_available_breakdowns . 매개변수에는 sysparm_uuid첫 번째 수준 세부 항목의 sys_ids와 관계를 찾으려는 요소를 포함합니다.
# In this example, the sysparm_uuid
# parameter includes the sys_id for the
# Assignment Group breakdown and the
# sys_id for the Software element.
# The sys_id of the Assignment Group
# was obtained in the example where all
# breakdowns and aggregates were returned.
# The sys_id of the Software element was
# obtained in the previous example, where
# all the elements of Assignment Group were
# returned. The sys_id of the Assignment
# Group breakdown is
# baec0752bf130100b96dac808c0739ed
# and of the Software element is
# 8a4dde73c6112278017a6a4baf547aa7.
# The breakdown relation is obtained for the
# Number of open incidents indicator,
# whose sys_id is
# fb007202d7130100b96d45a3ce6103b4.
curl -v -u "user:password" -H "Accept:application/json" "https://<instance>.service-now.com/api/now/v1/pa/scorecards?sysparm_uuid=fb007202d7130100b96d45a3ce6103b4:baec0752bf130100b96dac808c0739ed:8a4dde73c6112278017a6a4baf547aa7&sysparm_include_available_breakdowns=true"
{
"result": [
{
"value_formatted": "37",
"indicator": {
"display_value": "Number of open incidents",
"link": "https://<instance>.service-now.com/api/now/v1/table/pa_indicators/fb007202d7130100b96d45a3ce6103b4",
"value": "fb007202d7130100b96d45a3ce6103b4"
},
"gapperc": null,
"change": 9.0,
"value_color": "#455464",
"direction": 2,
"target_formatted": "",
"frequency": 10,
"changeperc_formatted": "32.1%",
"direction_label": "Minimize",
"period_title": "Jul 22",
"description": "Number of incidents open based on resolved date is empty.",
"name": "Number of open incidents / Assignment Group / Software",
"value": 37.0,
"key": false,
"gap_formatted": "",
"element": {
"display_value": "Software",
"link": "https://<instance>.service-now.com/api/now/v1/table/sys_user_group/287ee6fea9fe198100ada7950d0b1b73",
"value": "8a4dde73c6112278017a6a4baf547aa7"
},
"precision": 0,
"breakdowns": [
// Information about each breakdown
],
"breakdown_relations": [
{
"display_value": "Child Groups",
"link": "https://<instance>.service-now.com/api/now/v1/table/pa_breakdown_relations/301fd511eb23310065deac6aa206fe31",
"value": "301fd511eb23310065deac6aa206fe31"
},
{
"display_value": "Parent Group",
"link": "https://<instance>.service-now.com/api/now/v1/table/pa_breakdown_relations/790b6e11eb23310065deac6aa206fe1c",
"value": "790b6e11eb23310065deac6aa206fe1c"
},
{
"display_value": "Sibling Groups",
"link": "https://<instance>.service-now.com/api/now/v1/table/pa_breakdown_relations/15e15a12eb233100871aac6aa206fe59",
"value": "15e15a12eb233100871aac6aa206fe59"
}
],
"breakdown": {
"display_value": "Assignment Group",
"link": "https://<instance>.service-now.com/api/now/v1/table/pa_breakdowns/baec0752bf130100b96dac808c0739ed",
"value": "baec0752bf130100b96dac808c0739ed"
},
"period": "Jul 22",
"favorite": false,
"change_formatted": "9",
"unit": {
"display_value": "#",
"link": "https://<instance>.service-now.com/api/now/v1/table/pa_units/17b365e2d7320100ba986f14ce6103ad",
"value": "17b365e2d7320100ba986f14ce6103ad"
},
"frequency_label": "Daily",
"target": null,
"changeperc": 0.32142857142857145,
"uuid": "fb007202d7130100b96d45a3ce6103b4:baec0752bf130100b96dac808c0739ed:8a4dde73c6112278017a6a4baf547aa7",
"gapperc_formatted": "",
"value_unit": "6",
"gap": null
}
]
}
세부 항목 관계를 사용하는 표시기 반환
세부 항목 관계를 사용하려면 매개변수에 표시기, 세부 항목 및 요소의 sys_id 값과 매개변수에 sysparm_uuidsysparm_breakdown_relation 세부 항목 관계의 sys_id 포함합니다.
# This example returns the
# Sibling Group values for Assignment
# Group: Software from the previous example.
curl -v -u "user:password" -H "Accept:application/json" \
"https://<instance>.service-now.com/api/now/v1/pa/scorecards?sysparm_uuid=fb007202d7130100b96d45a3ce6103b4:baec0752bf130100b96dac808c0739ed:8a4dde73c6112278017a6a4baf547aa7&sysparm_breakdown_relation=15e15a12eb233100871aac6aa206fe59"
{
"result": [
{
"indicator": {
"gap_formatted":"",
"benchmarking":false,
"frequency_label":"Daily",
"changeperc_formatted":"0.0%",
"direction_label":"Minimize",
"precision":0,
"breakdown": {
"display_value":"Assignment Group",
"link":"https://<instance>.service-now.com/api/now/v1/table/pa_breakdowns/baec0752bf130100b96dac808c0739ed",
"value":"baec0752bf130100b96dac808c0739ed"
},
"personal_target":null,
"description":"Number of incidents open based on resolved date is empty",
"value_color":"#455464",
"uuid":"fb007202d7130100b96d45a3ce6103b4:baec0752bf130100b96dac808c0739ed:0a52d3dcd7011200f2d224837e6103f2",
"frequency":10,
"gap":null,
"value_unit":"0",
"indicator_frequency":10,
"value":0.0,
"indicator_aggregate":1,
"facts_table": {
"name":"incident",
"label":"Incidents"
},
"key":false,
"indicator_frequency_label":"Daily",
"direction":2,
"element": {
"display_value":"Application Development",
"link":"https://<instance>.service-now.com/api/now/v1/table/sys_user_group/0a52d3dcd7011200f2d224837e6103f2",
"value":"0a52d3dcd7011200f2d224837e6103f2"
},
"period_title":"Dec 03",
"period":"Dec 03",
"target_formatted":"",
"change":0.0,
"gapperc_formatted":"",
"query":"opened_atONToday@javascript:gs.beginningOfToday()@javascript:gs.endOfToday()^ORopened_at<javascript:gs.beginningOfToday()^resolved_atISEMPTY^ORresolved_at>javascript:gs.endOfToday()^state!=8^assignment_group=0a52d3dcd7011200f2d224837e6103f2^EQ",
"realtime_enabled":true,
"changeperc":0.0,
"target":null,
"unit": {
"display_value":"#",
"link":"https://<instance>.service-now.com/api/now/v1/table/pa_units/17b365e2d7320100ba986f14ce6103ad",
"type":"formatted",
"value":"17b365e2d7320100ba986f14ce6103ad"
},
"value_formatted":"0",
"name":"Number of open incidents > Assignment Group = Application Development",
"gapperc":null,
"change_formatted":"0",
"favorite":false,
"personal_target_formatted":""
}
// Followed by an indicator object with an element object for every element in the Sibling Group
]
}
세부 항목에 대해 필터링된 요소 세트 반환
데이터에 요소 필터를 분석 허브 적용하려면 요소 필터 기록의 sys_id 퍼포먼스 분석 와 함께 sysparm_elements_filter 매개변수를 사용합니다.
# In this example, the element filter applies
# to the Groups breakdown source, with the
# condition [[Parent][is][Database]].
# The sys_id of this element filter is
# 7b9eb563eb11020065deac6aa206fe11.
# The example gets the elements of the Assignment
# Group breakdown that have the element Database
# as a parent.
curl -v -u "user:password" -H "Accept:application/json" \
"https://<instance>.service-now.com/api/now/v1/pa/scorecards?sysparm_uuid=fb007202d7130100b96d45a3ce6103b4&sysparm_breakdown=baec0752bf130100b96dac808c0739ed&sysparm_elements_filter=7b9eb563eb11020065deac6aa206fe11"
{
"result": [
{
"value_formatted": "37",
"indicator": {
"display_value": "Number of open incidents",
"link": "https://<instance>.service-now.com/api/now/v1/table/pa_indicators/fb007202d7130100b96d45a3ce6103b4",
"value": "fb007202d7130100b96d45a3ce6103b4"
},
"gapperc": null,
"change": 9.0,
"value_color": "#455464",
"direction": 2,
"target_formatted": "",
"frequency": 10,
"changeperc_formatted": "32.1%",
"direction_label": "Minimize",
"period_title": "Jul 22",
"description": "Number of incidents open based on resolved date is empty.",
"name": "Number of open incidents / Assignment Group / Database",
"value": 37.0,
"key": false,
"gap_formatted": "",
"element": {
"display_value": "Database",
"link": "https://<instance>.service-now.com/api/now/v1/table/sys_user_group/287ee6fea9fe198100ada7950d0b1b73",
"value": "287ee6fea9fe198100ada7950d0b1b73"
},
"precision": 0,
"breakdown": {
"display_value": "Assignment Group",
"link": "https://<instance>.service-now.com/api/now/v1/table/pa_breakdowns/baec0752bf130100b96dac808c0739ed",
"value": "baec0752bf130100b96dac808c0739ed"
},
"period": "Jul 22",
"favorite": false,
"change_formatted": "9",
"unit": {
"display_value": "#",
"link": "https://<instance>.service-now.com/api/now/v1/table/pa_units/17b365e2d7320100ba986f14ce6103ad",
"value": "17b365e2d7320100ba986f14ce6103ad"
},
"frequency_label": "Daily",
"target": null,
"changeperc": 0.32142857142857145,
"uuid": "fb007202d7130100b96d45a3ce6103b4:baec0752bf130100b96dac808c0739ed:287ee6fea9fe198100ada7950d0b1b73",
"gapperc_formatted": "",
"value_unit": "37",
"gap": null
},
{
"value_formatted": "20",
"indicator": {
"display_value": "Number of open incidents",
"link": "https://<instance>.service-now.com/api/now/v1/table/pa_indicators/fb007202d7130100b96d45a3ce6103b4",
"value": "fb007202d7130100b96d45a3ce6103b4"
},
// Database Atlanta
"gapperc": null,
"change": 4.0,
"value_color": "#455464",
"direction": 2,
"target_formatted": "",
"frequency": 10,
"changeperc_formatted": "25.0%",
"direction_label": "Minimize",
"period_title": "Jul 22",
"description": "Number of incidents open based on resolved date is empty.",
"name": "Number of open incidents / Assignment Group / Database Atlanta",
"value": 20.0,
"key": false,
"gap_formatted": "",
"element": {
"display_value": "Database Atlanta",
"link": "https://<instance>.service-now.com/api/now/v1/table/sys_user_group/db53580b0a0a0a6501aa37c294a2ba6b",
"value": "db53580b0a0a0a6501aa37c294a2ba6b"
},
"precision": 0,
"breakdown": {
"display_value": "Assignment Group",
"link": "https://<instance>.service-now.com/api/now/v1/table/pa_breakdowns/baec0752bf130100b96dac808c0739ed",
"value": "baec0752bf130100b96dac808c0739ed"
},
"period": "Jul 22",
"favorite": false,
"change_formatted": "4",
"unit": {
"display_value": "#",
"link": "https://<instance>.service-now.com/api/now/v1/table/pa_units/17b365e2d7320100ba986f14ce6103ad",
"value": "17b365e2d7320100ba986f14ce6103ad"
},
"frequency_label": "Daily",
"target": null,
"changeperc": 0.25,
"uuid": "fb007202d7130100b96d45a3ce6103b4:baec0752bf130100b96dac808c0739ed:db53580b0a0a0a6501aa37c294a2ba6b",
"gapperc_formatted": "",
"value_unit": "20",
"gap": null
},
{
"value_formatted": "19",
"indicator": {
"display_value": "Number of open incidents",
"link": "https://<instance>.service-now.com/api/now/v1/table/pa_indicators/fb007202d7130100b96d45a3ce6103b4",
"value": "fb007202d7130100b96d45a3ce6103b4"
},
...
// Database San Diego
"gapperc": null,
"change": 0.0,
"value_color": "#455464",
"direction": 2,
"target_formatted": "",
"frequency": 10,
"changeperc_formatted": "0.0%",
"direction_label": "Minimize",
"period_title": "Jul 22",
"description": "Number of incidents open based on resolved date is empty.",
"name": "Number of open incidents / Assignment Group / Database San Diego",
"value": 10.0,
"key": false,
"gap_formatted": "",
"element": {
"display_value": "Database San Diego",
"link": "https://<instance>.service-now.com/api/now/v1/table/sys_user_group/db53a9290a0a0a650091abebccf833c6",
"value": "db53a9290a0a0a650091abebccf833c6"
},
"precision": 0,
"breakdown": {
"display_value": "Assignment Group",
"link": "http://localhost:8080/api/now/v1/table/pa_breakdowns/baec0752bf130100b96dac808c0739ed",
"value": "baec0752bf130100b96dac808c0739ed"
},
"period": "Jul 22",
"favorite": false,
"change_formatted": "0",
"unit": {
"display_value": "#",
"link": "http://<instance>.service-now.com/api/now/v1/table/pa_units/17b365e2d7320100ba986f14ce6103ad",
"value": "17b365e2d7320100ba986f14ce6103ad"
},
"frequency_label": "Daily",
"target": null,
"changeperc": 0.0,
"uuid": "fb007202d7130100b96d45a3ce6103b4:baec0752bf130100b96dac808c0739ed:db53a9290a0a0a650091abebccf833c6",
"gapperc_formatted": "",
"value_unit": "10",
"gap": null
}
]
}